# BasicClassGroupArray Class Reference

A BasicArray and a BasicClassGroupFactory wrapped together. More...

`#include <BasicClassGroupArray.h>`

Collaboration diagram for BasicClassGroupArray:

[legend]
List of all members.

## Public Member Functions

unsigned int | create ()
| Add a new BasicClassGroup to the end of the array.
void | destroy (const unsigned int id)
| Destroy an instance of a class group.
void | registerClass (BasicClassAccessorBase *accessor)
| Register a class with the group factory.
BasicClassGroup * | get (const unsigned int id) const
| If the id is invalid unexpected behavior may occur.
BasicClassGroup * | operator[] (const unsigned int id) const
| See BasicClassGroupArray::get().
unsigned int | getSize () const
| See BasicArray::getSize().

## Private Attributes

BasicArray< BasicClassGroup * > | groups
BasicClassGroupFactory | factory

## Detailed Description

A BasicArray and a BasicClassGroupFactory wrapped together.

Allocated BasicClassGroups are kept in an array. They can then be accessed or deleted using an id which is simply an array index.

## Member Function Documentation

unsigned int BasicClassGroupArray::create | ( |  | ) | `[inline]`

Add a new BasicClassGroup to the end of the array.

Returns:
  The id or index of the new class group.

void BasicClassGroupArray::destroy | ( | const unsigned int | id | ) | `[inline]`

Destroy an instance of a class group.

If the id is invalid unexpected behavior may occur.

Parameters:

  | id | The class group id.

BasicClassGroup* BasicClassGroupArray::get | ( | const unsigned int | id | ) | const`[inline]`

If the id is invalid unexpected behavior may occur.

See BasicClassGroupAccessor for information on how to access a class with in the group.

Parameters:

  | id | A valid class group id.

Returns:
  A pointer to the class group.

unsigned int BasicClassGroupArray::getSize | ( |  | ) | const`[inline]`

See BasicArray::getSize().

Returns:
  The current size of the array.

BasicClassGroup* BasicClassGroupArray::operator[] | ( | const unsigned int | id | ) | const`[inline]`

| See BasicClassGroupArray::get().

void BasicClassGroupArray::registerClass | ( | BasicClassAccessorBase * | accessor | ) | `[inline]`

Register a class with the group factory.

See BasicClassGroupFactory::registerClass().

Parameters:

  | accessor | The class accessor.

## Member Data Documentation

BasicClassGroupFactory BasicClassGroupArray::factory `[private]`

BasicArray<BasicClassGroup *> BasicClassGroupArray::groups `[private]`

The documentation for this class was generated from the following file:

- BasicClassGroupArray.h